Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Now content_type field has 30 symbols limit. In case of using Attachment for custom models this limitation is very uncomfortable. For

example, if I have a model into module, then full name of model always will be greater then 30 symbols. Moreover for this type of

models Attachment will be saved without warnings or errors. But cuntent_type will be cuted and record become invalid.

Same thing can happens with disk_filename, which has 255 limit. But in this case situation can by fixed by moving of Redmine

directory closer to root of file system.

History

#1 - 2015-11-25 15:34 - Toshi MARUYAMA

- Tracker changed from Patch to Feature

#2 - 2015-11-25 15:51 - Toshi MARUYAMA

- Tracker changed from Feature to Defect

- Target version set to 3.2.0

#3 - 2015-11-25 15:58 - Toshi MARUYAMA

I see attachment.content_type is varchar(30) on MySQL.

But, r739 and r1222 changed limits.

Bug of migration?

#4 - 2015-11-25 16:05 - Toshi MARUYAMA

r1222 auth_sources.account is varchar(30), too.

#5 - 2015-11-25 16:13 - Toshi MARUYAMA

But r1222 changesets.committer is varchar(255).

I don't know why?

#6 - 2015-11-25 16:35 - Toshi MARUYAMA

- Target version deleted (3.2.0)

I ran "rake db:migrate" on Ruby 1.9.3 MySQL at 2.6-stable r14890.

attachment.content_type, auth_sources.account and changesets.committer are varchar(255).

It seems bug of rails or mysql adapter in old version.

#7 - 2015-11-25 16:37 - Toshi MARUYAMA

Toshi MARUYAMA wrote:

I ran "rake db:migrate" on Ruby 1.9.3 MySQL at 2.6-stable r14890.

 On new MySQL database.

#8 - 2015-11-29 11:54 - Ivan Zabrovskiy

- Status changed from New to Resolved

You right. All this fields has a 255 limit. My apologies. Looks like this is my fault during Redmine installation. Thanks for help!
https://www.redmine.org/projects/redmine/repository/svn/revisions/739
https://www.redmine.org/projects/redmine/repository/svn/revisions/1222
https://www.redmine.org/projects/redmine/repository/svn/revisions/1222
https://www.redmine.org/projects/redmine/repository/svn/revisions/1222
https://www.redmine.org/projects/redmine/repository/svn/revisions/14890
https://www.redmine.org/projects/redmine/repository/svn/revisions/14890


#9 - 2015-12-29 04:33 - Toshi MARUYAMA

- Status changed from Resolved to Closed

Thank you for your feedback.
